return {
    {
        "folke/which-key.nvim",
        event = "VeryLazy",
        opts = {},
        keys = {
            {
                "<leader>\\",
                function()
                    require("which-key").show { global = false }
                end,
                desc = "Buffer Local Keymaps (which-key)",
            },
            {
                "K",
                ":m '<-2<CR>gv=gv",
                mode = "v",
            },
            {
                "J",
                ":m '>+1<CR>gv=gv",
                mode = "v",
            },
            {
                "<C-d>",
                "<C-d>zz",
                desc = "Half page jump center",
            },
            {
                "<C-u>",
                "<C-u>zz",
                desc = "Half page jump center",
            },
            {
                "<leader>p",
                '"_dP',
                desc = "Stolen from prime",
                mode = "x",
            },
            {
                "<leader>nn",
                ":cnext<CR>",
                desc = "Next quickfix list item"
            }
        },
    },
}
