local m = {}

m.init = function()
    vim.opt.shiftwidth = 4
    vim.opt.softtabstop = 4
    vim.opt.tabstop = 4
    vim.opt.expandtab = true

    vim.opt.showmode = false

    vim.opt.hlsearch = false
    vim.opt.incsearch = true

    vim.opt.termguicolors = true

    vim.opt.updatetime = 50

    vim.opt.wrap = false
    vim.opt.number = true
    vim.opt.relativenumber = true
    vim.opt.mouse = ""

    vim.opt.fillchars = { eob = " " }

    vim.o.clipboard = "unnamed"

    vim.o.background = "dark"

    vim.o.sessionoptions = "blank,buffers,curdir,folds,help,tabpages,winsize,winpos,terminal,localoptions"
end

return m
